Name:		magicmonitor
Version:	0.5
Release:	57%{?dist}
Summary:	Establish the monitoring env and config.

Group:		Applications/System
License:	GPL
URL:		http://www.magic.fr
Source0:	%{name}-%{version}.tar.gz
Requires:	mysqlcli, at, yum-security, magicraid

%description
Deploy a precompiled php 5.4 instance into monitoring homedir
with the monitoring scripts and their config via perl scripts

%prep
%setup -q 

%build
%pre
%postun

%install
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/opt
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/www
mkdir -p $RPM_BUILD_ROOT/etc/init.d

install -p -m 755 php-monitoring.tar.gz $RPM_BUILD_ROOT/usr/local/monitoring/opt/php-monitoring.tar.gz
install -p -m 755 monitoring-scripts.tar.gz $RPM_BUILD_ROOT/usr/local/monitoring/www/monitoring-scripts.tar.gz
install -p -m 755 virtdetect.tar.gz $RPM_BUILD_ROOT/usr/local/monitoring/www/virtdetect.tar.gz
install -p -m 755 mgcmonitor $RPM_BUILD_ROOT/etc/init.d/mgcmonitor

%post
echo "creating requirements..."
mkdir -p /etc/cron.hourly
mkdir -p /service
mkdir -p /boot/tmp
mkdir -p /home/tmp
chmod 1777 /boot/tmp
chmod 1777 /home/tmp
ln -s /usr/sbin/ss /sbin/ss

echo "extracting php standalone..."
cd /usr/local/monitoring/opt
tar -xzf /usr/local/monitoring/opt/php-monitoring.tar.gz

echo "extracting monitoring scripts..."
cd /usr/local/monitoring/www
tar -xzf /usr/local/monitoring/www/monitoring-scripts.tar.gz
tar -xzf /usr/local/monitoring/www/virtdetect.tar.gz
chown monitoring:users -R /usr/local/monitoring/www/
chmod 705 -R /usr/local/monitoring/www

echo "creating configuration file..."
perl guess.pl > testsdf_config.php
isvirt=`perl virtdetect/virtdetect | cut -d' ' -f1`
if [ "$isvirt" == 'No' ]
then  perl raid.pl
fi


echo "establishing cron task, and initiating it..."
grep cron.hourly /etc/crontab >> /dev/null
if [ $1 -eq 1 ]; then
echo "01 * * * * root run-parts /etc/cron.hourly" >> /etc/crontab
/sbin/service crond restart
fi
mv sdf-monitoring.cron.php /etc/cron.hourly/
mv ifsecurity /etc/cron.hourly/
chmod 755 /etc/cron.hourly/ifsecurity
chmod 755 /etc/cron.hourly/sdf-monitoring.cron.php
/usr/local/monitoring/opt/bin/php /etc/cron.hourly/sdf-monitoring.cron.php
at now +2 minutes <<< "/bin/bash /etc/cron.hourly/ifsecurity"

echo "Removing perl Monitoring configuration file creator script..."
rm -rf /usr/local/monitoring/www/guess.pl
rm -rf /usr/local/monitoring/www/raid.pl
rm -rf /usr/local/monitoring/www/monitoring-scripts.tar.gz
rm -rf /usr/local/monitoring/www/virtdetect*
rm -rf /usr/local/monitoring/opt/php-monitoring.tar.gz

echo "monitoring start at boot config ..."
chmod +x /etc/init.d/mgcmonitor
chkconfig --level 3 mgcmonitor on

echo "starting monitoring service..."
service mgcmonitor start

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace)/etc/init.d/mgcmonitor
%config(noreplace)/usr/local/monitoring/opt/php-monitoring.tar.gz
%config(noreplace)/usr/local/monitoring/www/monitoring-scripts.tar.gz
%config(noreplace)/usr/local/monitoring/www/virtdetect.tar.gz

%changelog
* Fri Apr 10 2015 Adnane RABIH <arabih@magic.fr> 0.5.57
- php.ini added in lib folder.
* Wed Apr 01 2015 Adnane RABIH <arabih@magic.fr> 0.5.56
- first install variable typo fixed.
* Tue Mar 24 2015 Adnane RABIH <arabih@magic.fr> 0.5.55
- removing extra modules.
* Tue Mar 24 2015 Adnane RABIH <arabih@magic.fr> 0.5.54
- ssl support included via new php build.
* Tue Mar 24 2015 Adnane RABIH <arabih@magic.fr> 0.5.53
- ssl support included via new php build.
* Wed Mar 04 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5.52
- self-deducing default route interface. AGXPYA-252
* Tue Jan 06 2015 Adnane RABIH <arabih@magic.fr> 0.5.51
- sdf-raid-tw_cli.pl: full path to the tw_cli utility.
* Tue Dec 23 2014 Adnane RABIH <arabih@magic.fr> 0.5-50
- Raid utilities: typo fixed.
* Thu Dec 18 2014 Adnane RABIH <arabih@magic.fr> 0.5-40
- no raid setup if it's a VM. 
* Mon Dec 15 2014 Adnane RABIH <arabih@magic.fr> 0.5-39
- raid auto setup.
* Mon Sep 29 2014 Mohamed Yacoubi <myacoubi@magic.fr> 0.5-38
- Fix tw_cli
- Change laisy permission in /usr/local/monitoring/www/
* Fri May 09 2014 Adnane RABIH <arabih@magic.fr> 0.5-37
- install: cannot stat php-monitoring-2.tar.gz -> rectified
* Fri May 09 2014 Adnane RABIH <arabih@magic.fr> 0.5-36
- removed libpq broken symbolc link from the spec
* Fri May 09 2014 Adnane RABIH <arabih@magic.fr> 0.5-35
- postgres own branch
* Fri May 02 2014 Adnane RABIH <arabih@magic.fr> 0.5-34
- adjusting confi based on NIC (em1/eth0)
* Fri May 02 2014 Adnane RABIH <arabih@magic.fr> 0.5-33
- adding raid monitoring (perl script and binaries)
* Mon Apr 28 2014 Adnane RABIH <arabih@magic.fr> 0.5-32
- base path mistake!
* Wed Apr 23 2014 Adnane RABIH <arabih@magic.fr> 0.5-31
- droping magic_monitor table if exist
* Wed Apr 23 2014 Adnane RABIH <arabih@magic.fr> 0.5-30
- bad position for the grant command in guess.pl first fix attempt
* Tue Apr 22 2014 Adnane RABIH <arabih@magic.fr> 0.5-29
- mysql_connect() don't recognize %, we grant for % and connect via localhost 
* Tue Apr 22 2014 Adnane RABIH <arabih@magic.fr> 0.5-28
- user supportdb1@% have full remoter acess to supprtdb1 db
* Tue Apr 22 2014 Adnane RABIH <arabih@magic.fr> 0.5-27
- mysql behavior changes betwen plesk and lamp
* Mon Mar 31 2014 Adnane RABIH <arabih@magic.fr> 0.5-26
- mysql_connect() php function connection issue, we use 127.0.0.1 now
* Fri Mar 21 2014 Adnane RABIH <arabih@magic.fr> 0.5-25
- warnings for <= 20% of free disk space or 80% full 
* Wed Mar 19 2014 Adnane RABIH <arabih@magic.fr> 0.5-24
- monitoring mysql or mariadb, adding plesk support
* Thu Mar 13 2014 Adnane RABIH <arabih@magic.fr> 0.5-23
- mount scan for "/", monitorin.cron +x, and cleaning the tars.
* Wed Mar 12 2014 Adnane RABIH <arabih@magic.fr> 0.5-22
- dummy push to test koji.
* Wed Mar 12 2014 Adnane RABIH <arabih@magic.fr> 0.5-21
- move away from perl system command, replace it with a variable
* Wed Mar 12 2014 Adnane RABIH <arabih@magic.fr> 0.5-20
- init file added to source tar.
* Wed Mar 12 2014 Adnane RABIH <arabih@magic.fr> 0.5-19
- a trailing space at file step
* Wed Mar 12 2014 Adnane RABIH <arabih@magic.fr> 0.5-18
- adding an init startup script.
* Wed Mar 12 2014 Adnane RABIH <arabih@magic.fr> 0.5-17
- build error at install step rectified
* Wed Mar 12 2014 Adnane RABIH <arabih@magic.fr> 0.5-16
- recompiled php for postgres sprt, usercreation method changed for postgres
* Mon Mar 10 2014 Adnane RABIH <arabih@magic.fr> 0.5-15
- postgres fonction correction, grant previeges change to *.
* Mon Mar 10 2014 Adnane RABIH <arabih@magic.fr> 0.5-14
- Maria pass check if exist we use it if not we create it.
* Mon Mar 10 2014 Adnane RABIH <arabih@magic.fr> 0.5-13
- to not corrupt crontab file i'm testing before ading the hourly entry.
* Mon Mar 10 2014 Adnane RABIH <arabih@magic.fr> 0.5-12
- some centos templates don't have the cron.hourly folder.
* Mon Mar 10 2014 Adnane RABIH <arabih@magic.fr> 0.5-11
- we no longuer create the monitoring user here, magicmariamaster does.
* Fri Mar 7 2014 Adnane RABIH <arabih@magic.fr> 0.5-10
- the yum-security plugin as a requirement
* Fri Mar 7 2014 Adnane RABIH <arabih@magic.fr> 0.5-9
- the at program as requirement
* Fri Mar 7 2014 Adnane RABIH <arabih@magic.fr> 0.5-8
- a runing away  pg_close($dbconn)puted back  
* Fri Mar 7 2014 Adnane RABIH <arabih@magic.fr> 0.5-7
- DBMSs test more intelligent, first if DBMS exist and than what config does it suit.
* Wed Mar 4 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-6
- Dummy RElease
* Wed Mar 4 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-5
- Dummy RElease
* Wed Mar 4 2014 Adnane RABIH <arabih@magic.fr> 0.5-4
- base path redifinition and ifsecurity launch at %post
* Wed Mar 4 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-3
- yum security list desabled during install
* Wed Mar 4 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-2
- MySQLCLI en Requires
* Wed Feb 26 2014 Adnane RABIH <arabih@magic.fr> 0.5-1
- Koji laws adaptations
* Wed Feb 26 2014 Adnane RABIH <arabih@magic.fr> 0.4-4
- guess.pl syntax error fix
* Wed Feb 26 2014 Adnane RABIH <arabih@magic.fr> 0.4-3
- Guess.pl update for mysql tests based on server Master or Slave
* Wed Feb 26 2014 Adnane RABIH <arabih@magic.fr> 0.4-2
- Release bump for KOJI 2
* Wed Feb 26 2014 Adnane RABIH <arabih@magic.fr> 0.4-1
- Release bump for KOJI
* Wed Feb 26 2014 Alexandre LEGRIX <alegrix@magic.fr> - & Adnane RABIH <arabih@magic.fr> 0.4
- issue with greping ip adresse since ucarp adds one extra ip
* Wed Feb 26 2014 Alexandre LEGRIX <alegrix@magic.fr> - & Adnane RABIH <arabih@magic.fr> 0.3
- echo error after setting cron task, rectified 
* Tue Feb 25 2014 Alexandre LEGRIX <alegrix@magic.fr> - & Adnane RABIH <arabih@magic.fr> 0.2
- add the glsa-check equivalant script, and turn on mysql monitoring
* Tue Feb 25 2014 Alexandre LEGRIX <alegrix@magic.fr> - & Adnane RABIH <arabih@magic.fr> 0.1
- first build
